osgGA::GUIEventAdapter::Scrolling Struct Reference

`#include <GUIEventAdapter>`

## Public Member Functions

| Scrolling ()
| Scrolling (const Scrolling &rhs)

## Public Attributes

ScrollingMotion | motion
float | deltaX
float | deltaY

## Constructor & Destructor Documentation

## Scrolling() [1/2]

osgGA::GUIEventAdapter::Scrolling::Scrolling | ( |  | ) |

inline

References deltaX, deltaY, motion, and osgGA::GUIEventAdapter::SCROLL_NONE.

Referenced by Scrolling().

## Scrolling() [2/2]

osgGA::GUIEventAdapter::Scrolling::Scrolling | ( | const Scrolling & | rhs | ) |

inline

References deltaX, deltaY, motion, and Scrolling().

## Member Data Documentation

## deltaX

float osgGA::GUIEventAdapter::Scrolling::deltaX

Referenced by Scrolling(), and Scrolling().

## deltaY

float osgGA::GUIEventAdapter::Scrolling::deltaY

Referenced by Scrolling(), and Scrolling().

## motion

ScrollingMotion osgGA::GUIEventAdapter::Scrolling::motion

Referenced by Scrolling(), and Scrolling().

The documentation for this struct was generated from the following file:

- GUIEventAdapter